'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-3cfbf013.js');

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}
function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}

const leanButtonCss = ".btn{background-color:var(--cl-main)}";

const LeanButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return index.h("button", { class: "btn" }, capitalize(this.label));
  }
};
LeanButton.style = leanButtonCss;

const leanListCss = ":host{display:block}";

const LeanList = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("ul", null, index.h("h1", null, capitalize(this.title)), index.h("slot", null)));
  }
};
LeanList.style = leanListCss;

const myComponentCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return index.h("div", null, "Hello, World! I'm ", this.getText());
  }
};
MyComponent.style = myComponentCss;

exports.lean_button = LeanButton;
exports.lean_list = LeanList;
exports.my_component = MyComponent;
