import { r as registerInstance, h } from './index-def44b5a.js';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}
function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}

const leanButtonCss = ".btn{background-color:var(--cl-main)}";

const LeanButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return h("button", { class: "btn" }, capitalize(this.label));
  }
};
LeanButton.style = leanButtonCss;

const leanListCss = ":host{display:block}";

const LeanList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("ul", null, h("h1", null, capitalize(this.title)), h("slot", null)));
  }
};
LeanList.style = leanListCss;

const myComponentCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return h("div", null, "Hello, World! I'm ", this.getText());
  }
};
MyComponent.style = myComponentCss;

export { LeanButton as lean_button, LeanList as lean_list, MyComponent as my_component };
